Ver código fonte

add subvendor ids, update olkb boards

Jack Humbert 8 anos atrás
pai
commit
c31070dd3f

Diferenças do arquivo suprimidas por serem muito extensas
+ 30 - 0
docs/subvendor_ids.md


+ 4 - 4
keyboards/atomic/config.h

@@ -21,11 +21,11 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #include "config_common.h"
 
 /* USB Device descriptor parameter */
-#define VENDOR_ID       0xFEED
-#define PRODUCT_ID      0x6060
+#define VENDOR_ID       0x03A8
+#define PRODUCT_ID      0x5A61
 #define DEVICE_VER      0x0001
-#define MANUFACTURER    Ortholinear Keyboards
-#define PRODUCT         The Atomic Keyboard
+#define MANUFACTURER    OLKB
+#define PRODUCT         Atomic
 #define DESCRIPTION     A compact ortholinear keyboard
 
 /* key matrix size */

+ 3 - 3
keyboards/planck/config.h

@@ -21,10 +21,10 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #include "config_common.h"
 
 /* USB Device descriptor parameter */
-#define VENDOR_ID       0xFEED
-#define PRODUCT_ID      0x6060
+#define VENDOR_ID       0x03A8
+#define PRODUCT_ID      0x5A60
 #define MANUFACTURER    OLKB
-#define PRODUCT         The Planck Keyboard
+#define PRODUCT         Planck
 #define DESCRIPTION     A compact ortholinear keyboard
 
 /* key matrix size */

+ 1 - 1
keyboards/planck/info.json

@@ -2,7 +2,7 @@
   "keyboard_name": "Planck",
   "keyboard_folder": "planck",
   "manufacturer": "OLKB",
-  "identifier": "FEED:6060:0001",
+  "identifier": "03A8:5A60:0001",
   "url": "https://olkb.com/planck",
   "maintainer": "jackhumbert",
   "processor": "atmega32u4",

+ 3 - 3
keyboards/preonic/config.h

@@ -21,11 +21,11 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #include "config_common.h"
 
 /* USB Device descriptor parameter */
-#define VENDOR_ID       0xFEED
-#define PRODUCT_ID      0x6061
+#define VENDOR_ID       0x03A8
+#define PRODUCT_ID      0x5A62
 #define DEVICE_VER      0x0001
 #define MANUFACTURER    OLKB
-#define PRODUCT         The Preonic Keyboard
+#define PRODUCT         Preonic
 #define DESCRIPTION     A compact ortholinear keyboard
 
 /* key matrix size */

+ 1 - 1
keyboards/preonic/info.json

@@ -2,7 +2,7 @@
   "keyboard_name": "Preonic",
   "keyboard_folder": "preonic",
   "manufacturer": "OLKB",
-  "identifier": "FEED:6061:0001",
+  "identifier": "03A8:5A60:0001",
   "url": "https://olkb.com/preonic",
   "maintainer": "jackhumbert",
   "processor": "atmega32u4",

+ 1 - 0
subvendor_ids.txt

@@ -0,0 +1 @@
+0x5A6: OLKB

+ 35 - 0
util/new_subvendor_id.sh

@@ -0,0 +1,35 @@
+#!/bin/bash
+
+if [[ $0 != *"util"* ]]; then
+    echo "Please run from the root qmk_firmware folder"
+    exit 1
+fi
+
+if [ -z "$1" ]; then
+    echo "Need a subvendor"
+    echo "usage: $0 <subvendor>"
+    exit 1
+fi
+
+function generate_random() {
+    subvendor_id=`printf '0x%X%X%X' $(( ( RANDOM % 16 ) )) $(( ( RANDOM % 16 ) )) $(( ( RANDOM % 8 ) * 2 ))`
+}
+
+function find_existing() {
+    existing=`grep "${subvendor_id}" subvendor_ids.txt`
+}
+
+while : ; do
+    generate_random
+    find_existing
+    (( -z "$existing" )) || break
+done
+
+echo ${subvendor_id}: ${1} >> subvendor_ids.txt
+echo " * ${subvendor_id}: ${1}" >> docs/subvendor_ids.md
+echo "The Subvendor ID ${subvendor_id} is now associated with \"${1}\", and has been added to the list"
+echo "Add your Project ID (0x0-0xF) to the end and use it in your config.h:"
+echo 
+echo "  #define VENDOR_ID  0x03A8"
+echo "  #define PRODUCT_ID ${subvendor_id}0"
+echo